+ Post New Thread
Page 1 of 494 1 2 3 11 51 101 ... LastLast
Threads 1 to 25 of 12331

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 29,307
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 45,361
    18th Sep 2006 10:46 pm Go to last post
  1. line new layer my lisp not working please fix

    Hi I want draw lines it has create new layer and snap end point and Ortho on once I right click or cancel it has to go back to old layer and snap off and Ortho off

    Started by sanjeeve‎, 19th Oct 2014 04:01 am
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 1,105
    Today 02:05 am Go to last post
  2. Change files attributes

    Does anyone know how to change the attributes of several files to read-only with LISP?

    Started by antistar‎, 30th Oct 2014 08:57 pm
    • Replies: 5
    • Views: 220
    Yesterday 11:15 pm Go to last post
  3. Customized Autolisp Code

    Good day ladies and Gents, I would like to start off by saying hello to everyone and that I just signed up yesterday. This is going to be my very first thread so I apologized before hand if the...

    Started by DurtyTalynt‎, Yesterday 05:40 pm
    • Replies: 2
    • Views: 112
    Yesterday 11:10 pm Go to last post
  4. Solids to Mesh LISP

    I made some scripts to work with solids. The first three work but the third to turn a solid into a mesh with meshsnmooth does not work. Can somebody help? SOLIDS ERASE ( (setvar "qaflags"...

    Started by raymarcher‎, 30th Oct 2014 03:46 pm
    • Replies: 3
    • Views: 147
    Yesterday 10:02 pm Go to last post
  5. Change XREF Name with specific pattern

    Hi, I've got 100 files. Each file has got 300ish XREFS. Xref's names change every week. Part of the xref's name is constant, other part changes. Ex : VISIO_AA_14_A The pattern of this name is ...

    Started by pouicpouic‎, 30th Oct 2014 12:38 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 237
    Yesterday 09:53 pm Go to last post
  6. Lisp file change from .txt to .xls

    I have a Lisp for AutoCAD DX 2004 that reads the drawing and takes the selected info from the drawing and places the data in a .txt notepad file. The guy that wrote the Lisp has moved on and I am...

    Started by obogus‎, 8th Jul 2008 04:31 pm
    • Replies: 4
    • Views: 1,471
    Yesterday 04:44 pm Go to last post
  7. convert arcs in polyline to small lines

    Hello would you please help me to convert arcs in polyline to lines, its length defined by user like in attached drawing

    Started by motee-z‎, Yesterday 11:54 am
    • Replies: 5
    • Views: 177
    Yesterday 03:55 pm Go to last post
  8. Working Point Lisp

    Hey guys, I'm trying to make a lisp where the user would pick a point in the model and the lisp would create a multileader in paperspace with the coordinates pulled from the model. Here's the...

    Started by chiimayred‎, 30th Oct 2014 06:59 pm
    autolisp, multileader, point, points
    • Replies: 5
    • Views: 201
    Yesterday 03:22 pm Go to last post
  9. Add attribute values

    Hi, to everyone. I was looking the routine everywhere with no success :( witch can in block "bar_1" take two attributes "tag1" and "tag2" multiple the two values and put the result in the same block...

    Started by przem_saw‎, 22nd Oct 2014 09:37 am
    • Replies: 5
    • Views: 214
    Yesterday 01:10 pm Go to last post
  10. AutoCAD Get Mac add & Get Net time

    ;;Get MAC add. (defun GetNetMac (/id lox serv wmiobj) (setq WMIobj (vlax-create-object "wbemScripting.SwbemLocator") serv (vlax-invoke WMIobj 'ConnectServer "." "\\root\\cimv2" "" "" ...

    Started by AIberto‎, 30th Oct 2014 06:08 pm
    • Replies: 3
    • Views: 158
    Yesterday 10:30 am Go to last post
  11. Automatic distance between polygon vertices

    I need some LISP routine which autonumbers distance between polygon vertices.

    Started by Basomis‎, 24th Oct 2014 10:16 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 531
    Yesterday 09:57 am Go to last post
  12. Apparent intersection between two objects

    Hello! It can get the apparently intersection points between two objects ?

    Started by Costinbos77‎, 9th Feb 2014 03:07 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 784
    Yesterday 08:03 am Go to last post
  13. lisp to place "points" at midpoint of pipe fittings

    We have been manually placing control points at the midpoint of pipe fittings. The "point" is actually a small CADMEP object.We do this to export to a robotic station for marking locations in field....

    Started by pipefitter72‎, 25th Oct 2014 01:59 am
    2 Pages
    1 2
    • Replies: 18
    • Views: 627
    Yesterday 02:33 am Go to last post
  14. LSP Routines Fail in ACAD2015 - OFFICE STND. LSP Won't run in new acad

    Flumixed to learn our office standard script routines will not successfully load in new version of ACAD (ACAD2015). Where we've allways succeeded in loading three Office Standard LSP files, via...

    Started by Little -e‎, 30th Oct 2014 09:12 pm
    • Replies: 1
    • Views: 132
    Yesterday 02:29 am Go to last post
  15. How to remove an element from a list

    I am trying to change all the objects color to "bylayer" within a block, this means I have to eliminate the assoc code 62 from the list, I tried (vl-remove), it does return the list I need, but I...

    Started by LauKwokFai‎, 27th Oct 2014 10:15 am
    • Replies: 9
    • Views: 284
    30th Oct 2014 05:51 am Go to last post
  16. Adding Xdata From Slected Mtext or Text

    Hi, I am creating lisp routine and the work is to selected Mtext or text and the corresponding content is to be added as Xdata to the selected entity. (defun C:addxdata() (setq...

    Started by karunakaran1991‎, 25th Oct 2014 02:40 pm
    xdata
    • Replies: 3
    • Views: 215
    29th Oct 2014 08:20 pm Go to last post
  17. Looking for someone to help with somewhat extensive LISP program to solve error

    I need to find an advanced user to help troubleshoot an AutoLISP program that is in four parts. The program is proprietary and pretty extensive so I don't know that posting it directly to this forum...

    Started by Colsen87‎, 28th Oct 2014 10:15 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 495
    29th Oct 2014 07:26 pm Go to last post
  18. Draw the cloud note , why have error ? please have a look! Thanks!

    (defun C:TEST (/ DDJD1 DDJD2 DDJD3 E OLDCEC OLDCEL OLDLAYER OSM1 RETURN# SCA) (defun *error* (msg) (vl-bt) (cond (*DOC* (_EndUndo *DOC*))) (while (not (equal (getvar "cmdnames")...

    Started by AIberto‎, 28th Oct 2014 04:10 pm
    • Replies: 3
    • Views: 251
    29th Oct 2014 03:29 pm Go to last post
  19. Join both ends of line after deleting the inserted autobreak block

    When deleting the inserted block is it possible to join both end of lines autopmatically

    Started by fathihvac‎, 22nd Oct 2014 08:37 am
    • Replies: 5
    • Views: 273
    29th Oct 2014 02:04 pm Go to last post
  20. Help Understanding a Lisp Routine

    Recently I had a lisp routine made up by another member. It creates an array like pattern which searches for attributes located in each panel and patterns the blocks accordingly. This typically...

    Started by drew4748‎, 28th Oct 2014 02:50 pm
    • Replies: 9
    • Views: 257
    28th Oct 2014 08:43 pm Go to last post
  21. Insert Dimension Measurement Field

    Hello, I am looking for a macro or lisp routine that allows me to insert a field in a text box that automatically takes a dimension's measurement. I am looking to skip all the dialouge boxes...

    Started by RyanAtNelco‎, 21st Aug 2009 02:30 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 3,947
    28th Oct 2014 01:44 pm Go to last post
  22. HELP: LISP to create multiple & resized viewport base on an existing viewport

    One of my routine work is to highlight only part view of a drawing that has changes, to our consultants. This involves creating individual viewports, of a specific view, out of that drawing...

    Started by vernonlee‎, 15th Oct 2014 06:58 am
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 1,157
    28th Oct 2014 12:20 pm Go to last post
  23. Looking for lisp to create a table

    I need it to select polylines. then get linetype,depth,length take and add the same like lengths and give quantities for them. example: linetyp - depth - length - qty hidden - 10 - 12 ...

    Started by j_spawn_h‎, 23rd Oct 2014 03:32 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 496
    28th Oct 2014 03:25 am Go to last post
  24. Surface selection by name

    Hi, I want to select surfaces by name, add them it into selection set and change there layers to something else. The idea behind is that I want to make a certain draw order in my drawing, but...

    Started by 4o4osan‎, 25th Oct 2014 09:11 am
    • Replies: 4
    • Views: 231
    27th Oct 2014 10:16 pm Go to last post
  25. block spacing lisp

    Good morning everyone. I have a question regarding an idea for a lisp. I am wondering if this is possible, or something to good to be true. I work at a solar panel racking company, we use CAD...

    Started by drew4748‎, 26th Aug 2014 12:46 pm
    2 Pages
    1 2
    • Replies: 15
    • Views: 730
    27th Oct 2014 07:50 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts